//Расчет покупки квартиры
let perSquareMetreCost;         //объявление переменной стоимости м²
let flatCost;                   //объявление переменной стоимости квартиры
let flatType = prompt("Расчет покупки квартиры - укажите класс жилья: 1 (эконом), 2 (комфорт), 3 (бизнес), 4 (премиум)", "");     //просим пользователя указать класс жилья

if (flatType == 1) {        //определяем стоимость м²
    perSquareMetreCost = 12547;
} else if (flatType == 2) {
    perSquareMetreCost = 17635;
} else if (flatType == 3) {
    perSquareMetreCost = 20178;
} else if (flatType == 4) {
    perSquareMetreCost = 27940;
} else {
    alert("Ошибка, введите цифровое значение из предложенных вариантов");
}

if (perSquareMetreCost != null) {
    let perSquareMetre = prompt("Укажите размер квартиры (м²)", "");        //просим пользователя ввести размер квартиры
    flatCost = perSquareMetre * perSquareMetreCost;                     //расчет стоимости жилья
    let income = prompt("Введите Ваш доход в месяц (в грн).", "");      //просим пользователя указать доход
    let savingsPerMounth = income * 0.35;                               //расчет сбережений в месяц
    let timeForBuying = Math.round(flatCost / savingsPerMounth / 12);   //расчет времени накопления сбережениц в годах

    alert("Стоимость квартиры: " + flatCost + " Время накопления полной суммы (в годах): " + timeForBuying);  //выводим стоимость жилья и времени на накопление достаточной суммы для его покупки
} else {
    alert("Попробуйте сначала");
}


var credentials = {
    login: 'admin',
    password: 'qwerty',
};

function verification() {
    if (acc.value == credentials.login && pass.value == credentials.password) {
        result.style.color = "green";
        result.innerHTML = "Успешно!";
    } else {
        result.style.color = "red";
        result.innerHTML = "Неправильный логин или пароль";
    }
}